Summary: This will turn off and disable the avahi daemons
Name: zz_disable_avahi
Version: 1.0
Release: 0.6
License: GPL
Group: Fermi
URL: http://fermilinux.fnal.gov/
Vendor: Fermilab
Packager: Troy Dawson , Connie Sieh
BuildArch: noarch

%description
This will turn off and disable the avahi daemons

%install

%files

%triggerin -- avahi
for service in avahi-daemon avahi-dnsconfd
do
   #We need to see if it is actually running first
   pid=`ps -C $service -o pid=` 
   if [ $? -eq 0 ] ; then  
     /etc/init.d/$service stop > /dev/null 2>&1
   fi
   #We need to see if the service is actually installed first
   #Note we do not check if it is on or off as we are going to
   #turn it off no matter what
   result=`/sbin/chkconfig --list $service 2> /dev/null`
   if [ $? -eq 0 ] ; then  
     /sbin/chkconfig --levels 12345 $service off
   fi
done
exit 0

%changelog
* Fri Jun 10 2011 Connie Sieh <csieh@fnal.gov> 1.0-0.6
- Added code to make sure the service was running before it was stopped
- Added code to make sure the service is actually installed before chkconfiging

* Mon Jun 14 2010 Troy Dawson <dawson@fnal.gov> 1.0-0.5
- avahi is not needed so we turn it off
